io.vertx.rxjava.ext.web.handler

## Class CookieHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.CookieHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class CookieHandler
      extends Object
      implements Handler<RoutingContext>

  A handler which decodes cookies from the request, makes them available in the and writes them back in the response.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static <any>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CookieHandler(CookieHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CookieHandler` | `create()` Create a cookie handler
    `boolean` | `equals(Object o)`
    `CookieHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static CookieHandler` | `newInstance(CookieHandler arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final <any> __TYPE_ARG

  - ### Constructor Detail

    - #### CookieHandler

          public CookieHandler(CookieHandler delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public CookieHandler getDelegate()

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### create

          public static CookieHandler create()

      Create a cookie handler
      Returns:
        the cookie handler

    - #### newInstance

          public static CookieHandler newInstance(CookieHandler arg)

Copyright © 2018 Eclipse. All rights reserved.